GGRAPHER(1)

NAME
ggrapher - Mathematical Genealogy Grapher

SYNOPSIS

ggrapher [-h] [--version] [-f FILE] [-a] [-d] [--disable-cache] [--cache-file FILE] [-v] ID [ID ...]

DESCRIPTION
Create a Graphviz "dot" file for a mathematics genealogy, where ID is a record identifier from the Mathematics Genealogy Project. Multiple IDs may be passed.

OPTIONS

  positional arguments:

ID  mathematician record ID

  optional arguments:

-h, --help
    show help message and exit

--version
    show program's version number and exit

-f FILE, --file FILE
    write output to FILE [default: stdout]

-a, --with-ancestors
    retrieve ancestors of IDs and include in graph

-d, --with-descendants
    retrieve descendants of IDs and include in graph

--disable-cache
    do not store records in local cache

--cache-file FILE
    write cache to FILE [default: geneacache]

-v, --verbose
    list nodes being retrieved

AUTHOR
ggrapher was written by David Alber <alber.david@gmail.com>.

This manual page was written by Doug Torrance <dtorrance@monmouthcollege.edu> for the Debian project (but may be used by others).